Latest post Wed, Jun 5 2019 6:25 PM by Vadym. 1 replies.
Page 1 of 1 (2 items)
Sort Posts: Previous Next
  • Wed, Jun 5 2019 10:36 AM

    • MartinY
    • Not Ranked
    • Joined on Fri, May 24 2019
    • Posts 1
    • Points 15

    AMT2 on macOS

    We’re preparing our app for the upcoming Apple Notarisation requirement. Currently we use AMT 2_13.4 to wrap compressed samples to create MXF + AAF files ready for customer import into Avid. We know that AMT 3 has been out for some time. However right now AMT 2 is working well, so we would prefer to wait before transitioning. A requirement of Apple Notarisation is that dylib files must use SDK 10.9 or newer. So we have taken the newer set of dylib from AMT 3 for our AMT 2 based build. This passes the notarisation fine and looked like a solution... However we are now getting a consistent crash in CreateAmtTrack, the stack trace shows MediaWriter::Open(), ImplAAFStreamPropertyValue::CountSegments Reverting just the libcom-api.dylib to the older build stops the crash, but then doesn’t pass notarisation. Any thoughts on the reason for the incompatibility of the newer libcom-api.dylib with the older AMT ?

    Thanks,

    Martin

  • Wed, Jun 5 2019 6:25 PM In reply to

    • Vadym
    • Top 500 Contributor
    • Joined on Thu, Apr 17 2014
    • Posts 224
    • Points 2,715
    • Avid Developer Moderator
      Avid Employee

    Re: AMT2 on macOS

    Hi Martin,

    AMT2 is not expected to work with the newer libraries without rebuilding. As we do not expect any new AMT2 builds now that AMT3 is out we recommend to switch to AMT3 if you need the newer libraries.

    Thanks

Page 1 of 1 (2 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller